aboutsummaryrefslogtreecommitdiff
path: root/install.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install.sh')
-rwxr-xr-xinstall.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..c5e5c0a
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+
+set -e
+
+scriptpath="$(dirname "$0")"
+mkdir -p "$scriptpath/build/debug"
+cd "$scriptpath/build/debug"
+cmake -G Ninja -DCMAKE_BUILD_TYPE=Release ../../
+ninja
+sudo cp sibs /usr/bin/
+echo "Copied $scriptpath/build/debug/sibs to /usr/bin/sibs"